package com.qmth.teachcloud.report.business.bean.dto.excel;


import com.qmth.teachcloud.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;

public class MatchDto {

    @ExcelNote(value = "考试编号")
    @NotNull
    private String examCode;

    @ExcelNote(value = "科目编号")
    @NotNull
    private String paperCode;

    @ExcelNote(value = "试卷类型")
    @NotNull
    private String paperType;

    @ExcelNote(value = "题号类型")
    @NotNull
    private String numberType;

    @ExcelNote(value = "云阅卷大题号")
    @NotNull
    private String cloudMainNumber;

    @ExcelNote(value = "云阅卷小题号")
    @NotNull
    private String cloudSubNumber;

    @ExcelNote(value = "教研分析大题号")
    @NotNull
    private String analyzeMainNumber;

    @ExcelNote(value = "教研分析小题号")
    @NotNull
    private String analyzeSubNumber;

    @ExcelNote(value = "描述")
    private String describe;

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getPaperCode() {
        return paperCode;
    }

    public void setPaperCode(String paperCode) {
        this.paperCode = paperCode;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public String getNumberType() {
        return numberType;
    }

    public void setNumberType(String numberType) {
        this.numberType = numberType;
    }

    public String getCloudMainNumber() {
        return cloudMainNumber;
    }

    public void setCloudMainNumber(String cloudMainNumber) {
        this.cloudMainNumber = cloudMainNumber;
    }

    public String getCloudSubNumber() {
        return cloudSubNumber;
    }

    public void setCloudSubNumber(String cloudSubNumber) {
        this.cloudSubNumber = cloudSubNumber;
    }

    public String getAnalyzeMainNumber() {
        return analyzeMainNumber;
    }

    public void setAnalyzeMainNumber(String analyzeMainNumber) {
        this.analyzeMainNumber = analyzeMainNumber;
    }

    public String getAnalyzeSubNumber() {
        return analyzeSubNumber;
    }

    public void setAnalyzeSubNumber(String analyzeSubNumber) {
        this.analyzeSubNumber = analyzeSubNumber;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }
}
